解决Firefox无法打开问题,提示Couldn’d load XPCOM

    最近通过emerge安装了Eclipse,结果把libjpeg.so也作为依赖更新了,后来打开firefox,半天没有反应,在shell中打开,提示Couldn’d load XPCOM。我又试了一下别的程序,Konqueror、Seamonkey、Galeon、Epiphany、Thunderbird、Webhttrack都无法打开了,Konqueror还好,有提示,说找不到libjpeg.so.62,难道是这个的原因?

 

    于是在命令行输入:

    #locate libjpeg.so

    结果居然提示:locate: fatal error: Could not find user database,上次明明能用的

    重新更新一下,输入:

    #updatedb

 

 

    再运行之,结果如下,libjpeg的版本都到7了

    /usr/lib32/libjpeg.so.62.0.0
    /usr/lib32/libjpeg.so
    /usr/lib32/libjpeg.so.62
    /usr/lib64/libjpeg.so.7
    /usr/lib64/libjpeg.so.7.0.0

    /opt/icedtea6-bin-1.6.2/jre/lib/amd64/libjpeg.so
    /opt/sun-jdk-1.6.0.15/jre/lib/amd64/libjpeg.so

 

 

    再查看下/usr/lib下的libjpeg.so

    #ls -l /usr/lib/libjpeg*

    果然,libjpeg.so默认指向了版本7,结果如下:

    /usr/lib/libjpeg.a
    /usr/lib/libjpeg.la

    /usr/lib/libjpeg.so -> libjpeg.so.7.0.0
    /usr/lib/libjpeg.so.7 -> libjpeg.so.7.0.0
    /usr/lib/libjpeg.so.7.0.0

 

 

    给libjpeg.so.62加一软连接,指向libjpeg.so.7,解决了问题

    #ln -s /usr/lib64/libjpeg.so.7.0.0 /usr/lib/libjpeg.so.62

    再查看,如下

    ........

    ........

    /usr/lib/libjpeg.so.62 -> /usr/lib64/libjpeg.so.7.0.0

    ........

    ........

 

    再试着运行于Seamonkey、Galeon、Epiphany、Webhttrack,都能正常打开了。Konqueror则一定要libjpeg.so.62,其实直接使用老版本的libjpeg.so.62就行了,放入/usr/lib下即可,可以在此下载

阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页